Index: issm/trunk/src/m/enum/AbsoluteEnum.m
===================================================================
--- issm/trunk/src/m/enum/AbsoluteEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/AbsoluteEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=AbsoluteEnum()
 
-macro=223;
+macro=225;
Index: issm/trunk/src/m/enum/AccumulationRateEnum.m
===================================================================
--- issm/trunk/src/m/enum/AccumulationRateEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/AccumulationRateEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=AccumulationRateEnum()
 
-macro=119;
+macro=121;
Index: issm/trunk/src/m/enum/AdjointEnum.m
===================================================================
--- issm/trunk/src/m/enum/AdjointEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/AdjointEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=AdjointEnum()
 
-macro=229;
+macro=231;
Index: issm/trunk/src/m/enum/AdjointxEnum.m
===================================================================
--- issm/trunk/src/m/enum/AdjointxEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/AdjointxEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=AdjointxEnum()
 
-macro=120;
+macro=122;
Index: issm/trunk/src/m/enum/AdjointyEnum.m
===================================================================
--- issm/trunk/src/m/enum/AdjointyEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/AdjointyEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=AdjointyEnum()
 
-macro=121;
+macro=123;
Index: issm/trunk/src/m/enum/AdjointzEnum.m
===================================================================
--- issm/trunk/src/m/enum/AdjointzEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/AdjointzEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=AdjointzEnum()
 
-macro=122;
+macro=124;
Index: issm/trunk/src/m/enum/AirEnum.m
===================================================================
--- issm/trunk/src/m/enum/AirEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/AirEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=AirEnum()
 
-macro=117;
+macro=119;
Index: issm/trunk/src/m/enum/ArtDiffEnum.m
===================================================================
--- issm/trunk/src/m/enum/ArtDiffEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/ArtDiffEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=ArtDiffEnum()
 
-macro=123;
+macro=125;
Index: issm/trunk/src/m/enum/Balancedthickness2AnalysisEnum.m
===================================================================
--- issm/trunk/src/m/enum/Balancedthickness2AnalysisEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/Balancedthickness2AnalysisEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=Balancedthickness2AnalysisEnum()
 
-macro=43;
+macro=45;
Index: issm/trunk/src/m/enum/Balancedthickness2SolutionEnum.m
===================================================================
--- issm/trunk/src/m/enum/Balancedthickness2SolutionEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/Balancedthickness2SolutionEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=Balancedthickness2SolutionEnum()
 
-macro=42;
+macro=44;
Index: issm/trunk/src/m/enum/BalancedthicknessAnalysisEnum.m
===================================================================
--- issm/trunk/src/m/enum/BalancedthicknessAnalysisEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/BalancedthicknessAnalysisEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=BalancedthicknessAnalysisEnum()
 
-macro=45;
+macro=47;
Index: issm/trunk/src/m/enum/BalancedthicknessSolutionEnum.m
===================================================================
--- issm/trunk/src/m/enum/BalancedthicknessSolutionEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/BalancedthicknessSolutionEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=BalancedthicknessSolutionEnum()
 
-macro=44;
+macro=46;
Index: issm/trunk/src/m/enum/BalancedvelocitiesAnalysisEnum.m
===================================================================
--- issm/trunk/src/m/enum/BalancedvelocitiesAnalysisEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/BalancedvelocitiesAnalysisEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=BalancedvelocitiesAnalysisEnum()
 
-macro=47;
+macro=49;
Index: issm/trunk/src/m/enum/BalancedvelocitiesSolutionEnum.m
===================================================================
--- issm/trunk/src/m/enum/BalancedvelocitiesSolutionEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/BalancedvelocitiesSolutionEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=BalancedvelocitiesSolutionEnum()
 
-macro=46;
+macro=48;
Index: issm/trunk/src/m/enum/BeamEnum.m
===================================================================
--- issm/trunk/src/m/enum/BeamEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/BeamEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=BeamEnum()
 
-macro=68;
+macro=70;
Index: issm/trunk/src/m/enum/BeamVertexElementResultEnum.m
===================================================================
--- issm/trunk/src/m/enum/BeamVertexElementResultEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/BeamVertexElementResultEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=BeamVertexElementResultEnum()
 
-macro=210;
+macro=212;
Index: issm/trunk/src/m/enum/BeamVertexInputEnum.m
===================================================================
--- issm/trunk/src/m/enum/BeamVertexInputEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/BeamVertexInputEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=BeamVertexInputEnum()
 
-macro=91;
+macro=93;
Index: issm/trunk/src/m/enum/BedEnum.m
===================================================================
--- issm/trunk/src/m/enum/BedEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/BedEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=BedEnum()
 
-macro=124;
+macro=126;
Index: issm/trunk/src/m/enum/BedSlopeAnalysisEnum.m
===================================================================
--- issm/trunk/src/m/enum/BedSlopeAnalysisEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/BedSlopeAnalysisEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=BedSlopeAnalysisEnum()
 
-macro=36;
+macro=37;
Index: issm/trunk/src/m/enum/BedSlopeSolutionEnum.m
===================================================================
--- issm/trunk/src/m/enum/BedSlopeSolutionEnum.m	(revision 4289)
+++ issm/trunk/src/m/enum/BedSlopeSolutionEnum.m	(revision 4289)
@@ -0,0 +1,11 @@
+function macro=BedSlopeSolutionEnum()
+%BEDSLOPESOLUTIONENUM - Enum of BedSlopeSolution
+%
+%   WARNING: DO NOT MODIFY THIS FILE
+%            this file has been automatically generated by src/c/SynchronizeMatlabEnum
+%            Please read src/c/README for more information
+%
+%   Usage:
+%      macro=BedSlopeSolutionEnum()
+
+macro=36;
Index: issm/trunk/src/m/enum/BedSlopeXAnalysisEnum.m
===================================================================
--- issm/trunk/src/m/enum/BedSlopeXAnalysisEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/BedSlopeXAnalysisEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=BedSlopeXAnalysisEnum()
 
-macro=38;
+macro=40;
Index: issm/trunk/src/m/enum/BedSlopeXEnum.m
===================================================================
--- issm/trunk/src/m/enum/BedSlopeXEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/BedSlopeXEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=BedSlopeXEnum()
 
-macro=125;
+macro=127;
Index: issm/trunk/src/m/enum/BedSlopeYAnalysisEnum.m
===================================================================
--- issm/trunk/src/m/enum/BedSlopeYAnalysisEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/BedSlopeYAnalysisEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=BedSlopeYAnalysisEnum()
 
-macro=39;
+macro=41;
Index: issm/trunk/src/m/enum/BedSlopeYEnum.m
===================================================================
--- issm/trunk/src/m/enum/BedSlopeYEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/BedSlopeYEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=BedSlopeYEnum()
 
-macro=126;
+macro=128;
Index: issm/trunk/src/m/enum/BetaEnum.m
===================================================================
--- issm/trunk/src/m/enum/BetaEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/BetaEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=BetaEnum()
 
-macro=224;
+macro=226;
Index: issm/trunk/src/m/enum/BoolExternalResultEnum.m
===================================================================
--- issm/trunk/src/m/enum/BoolExternalResultEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/BoolExternalResultEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=BoolExternalResultEnum()
 
-macro=211;
+macro=213;
Index: issm/trunk/src/m/enum/BoolInputEnum.m
===================================================================
--- issm/trunk/src/m/enum/BoolInputEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/BoolInputEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=BoolInputEnum()
 
-macro=92;
+macro=94;
Index: issm/trunk/src/m/enum/BoolParamEnum.m
===================================================================
--- issm/trunk/src/m/enum/BoolParamEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/BoolParamEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=BoolParamEnum()
 
-macro=99;
+macro=101;
Index: issm/trunk/src/m/enum/BoundaryEnum.m
===================================================================
--- issm/trunk/src/m/enum/BoundaryEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/BoundaryEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=BoundaryEnum()
 
-macro=127;
+macro=129;
Index: issm/trunk/src/m/enum/CmGradientEnum.m
===================================================================
--- issm/trunk/src/m/enum/CmGradientEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/CmGradientEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=CmGradientEnum()
 
-macro=225;
+macro=227;
Index: issm/trunk/src/m/enum/CmJumpEnum.m
===================================================================
--- issm/trunk/src/m/enum/CmJumpEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/CmJumpEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=CmJumpEnum()
 
-macro=226;
+macro=228;
Index: issm/trunk/src/m/enum/CmMaxDmpSlopeEnum.m
===================================================================
--- issm/trunk/src/m/enum/CmMaxDmpSlopeEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/CmMaxDmpSlopeEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=CmMaxDmpSlopeEnum()
 
-macro=128;
+macro=130;
Index: issm/trunk/src/m/enum/CmMaxDmpValueEnum.m
===================================================================
--- issm/trunk/src/m/enum/CmMaxDmpValueEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/CmMaxDmpValueEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=CmMaxDmpValueEnum()
 
-macro=129;
+macro=131;
Index: issm/trunk/src/m/enum/CmMaxEnum.m
===================================================================
--- issm/trunk/src/m/enum/CmMaxEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/CmMaxEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=CmMaxEnum()
 
-macro=227;
+macro=229;
Index: issm/trunk/src/m/enum/CmMinDmpSlopeEnum.m
===================================================================
--- issm/trunk/src/m/enum/CmMinDmpSlopeEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/CmMinDmpSlopeEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=CmMinDmpSlopeEnum()
 
-macro=130;
+macro=132;
Index: issm/trunk/src/m/enum/CmMinDmpValueEnum.m
===================================================================
--- issm/trunk/src/m/enum/CmMinDmpValueEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/CmMinDmpValueEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=CmMinDmpValueEnum()
 
-macro=131;
+macro=133;
Index: issm/trunk/src/m/enum/CmMinEnum.m
===================================================================
--- issm/trunk/src/m/enum/CmMinEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/CmMinEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=CmMinEnum()
 
-macro=228;
+macro=230;
Index: issm/trunk/src/m/enum/CmNoiseDmpEnum.m
===================================================================
--- issm/trunk/src/m/enum/CmNoiseDmpEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/CmNoiseDmpEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=CmNoiseDmpEnum()
 
-macro=132;
+macro=134;
Index: issm/trunk/src/m/enum/CollapseEnum.m
===================================================================
--- issm/trunk/src/m/enum/CollapseEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/CollapseEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=CollapseEnum()
 
-macro=133;
+macro=135;
Index: issm/trunk/src/m/enum/ConnectivityEnum.m
===================================================================
--- issm/trunk/src/m/enum/ConnectivityEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/ConnectivityEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=ConnectivityEnum()
 
-macro=232;
+macro=234;
Index: issm/trunk/src/m/enum/ConstantEnum.m
===================================================================
--- issm/trunk/src/m/enum/ConstantEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/ConstantEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=ConstantEnum()
 
-macro=134;
+macro=136;
Index: issm/trunk/src/m/enum/ControlParameterEnum.m
===================================================================
--- issm/trunk/src/m/enum/ControlParameterEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/ControlParameterEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=ControlParameterEnum()
 
-macro=233;
+macro=235;
Index: issm/trunk/src/m/enum/ControlSteadyEnum.m
===================================================================
--- issm/trunk/src/m/enum/ControlSteadyEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/ControlSteadyEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=ControlSteadyEnum()
 
-macro=234;
+macro=236;
Index: issm/trunk/src/m/enum/ControlTypeEnum.m
===================================================================
--- issm/trunk/src/m/enum/ControlTypeEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/ControlTypeEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=ControlTypeEnum()
 
-macro=135;
+macro=137;
Index: issm/trunk/src/m/enum/ConvergedEnum.m
===================================================================
--- issm/trunk/src/m/enum/ConvergedEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/ConvergedEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=ConvergedEnum()
 
-macro=136;
+macro=138;
Index: issm/trunk/src/m/enum/DakotaParameterEnum.m
===================================================================
--- issm/trunk/src/m/enum/DakotaParameterEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/DakotaParameterEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=DakotaParameterEnum()
 
-macro=235;
+macro=237;
Index: issm/trunk/src/m/enum/DhDtEnum.m
===================================================================
--- issm/trunk/src/m/enum/DhDtEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/DhDtEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=DhDtEnum()
 
-macro=137;
+macro=139;
Index: issm/trunk/src/m/enum/DimEnum.m
===================================================================
--- issm/trunk/src/m/enum/DimEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/DimEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=DimEnum()
 
-macro=236;
+macro=238;
Index: issm/trunk/src/m/enum/DofIndexingEnum.m
===================================================================
--- issm/trunk/src/m/enum/DofIndexingEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/DofIndexingEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=DofIndexingEnum()
 
-macro=69;
+macro=71;
Index: issm/trunk/src/m/enum/DoubleElementResultEnum.m
===================================================================
--- issm/trunk/src/m/enum/DoubleElementResultEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/DoubleElementResultEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=DoubleElementResultEnum()
 
-macro=206;
+macro=208;
Index: issm/trunk/src/m/enum/DoubleExternalResultEnum.m
===================================================================
--- issm/trunk/src/m/enum/DoubleExternalResultEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/DoubleExternalResultEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=DoubleExternalResultEnum()
 
-macro=212;
+macro=214;
Index: issm/trunk/src/m/enum/DoubleInputEnum.m
===================================================================
--- issm/trunk/src/m/enum/DoubleInputEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/DoubleInputEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=DoubleInputEnum()
 
-macro=93;
+macro=95;
Index: issm/trunk/src/m/enum/DoubleMatExternalResultEnum.m
===================================================================
--- issm/trunk/src/m/enum/DoubleMatExternalResultEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/DoubleMatExternalResultEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=DoubleMatExternalResultEnum()
 
-macro=214;
+macro=216;
Index: issm/trunk/src/m/enum/DoubleMatParamEnum.m
===================================================================
--- issm/trunk/src/m/enum/DoubleMatParamEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/DoubleMatParamEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=DoubleMatParamEnum()
 
-macro=100;
+macro=102;
Index: issm/trunk/src/m/enum/DoubleParamEnum.m
===================================================================
--- issm/trunk/src/m/enum/DoubleParamEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/DoubleParamEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=DoubleParamEnum()
 
-macro=101;
+macro=103;
Index: issm/trunk/src/m/enum/DoubleVecExternalResultEnum.m
===================================================================
--- issm/trunk/src/m/enum/DoubleVecExternalResultEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/DoubleVecExternalResultEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=DoubleVecExternalResultEnum()
 
-macro=213;
+macro=215;
Index: issm/trunk/src/m/enum/DoubleVecParamEnum.m
===================================================================
--- issm/trunk/src/m/enum/DoubleVecParamEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/DoubleVecParamEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=DoubleVecParamEnum()
 
-macro=102;
+macro=104;
Index: issm/trunk/src/m/enum/DragCoefficientEnum.m
===================================================================
--- issm/trunk/src/m/enum/DragCoefficientEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/DragCoefficientEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=DragCoefficientEnum()
 
-macro=138;
+macro=140;
Index: issm/trunk/src/m/enum/DragPEnum.m
===================================================================
--- issm/trunk/src/m/enum/DragPEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/DragPEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=DragPEnum()
 
-macro=139;
+macro=141;
Index: issm/trunk/src/m/enum/DragQEnum.m
===================================================================
--- issm/trunk/src/m/enum/DragQEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/DragQEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=DragQEnum()
 
-macro=140;
+macro=142;
Index: issm/trunk/src/m/enum/DragTypeEnum.m
===================================================================
--- issm/trunk/src/m/enum/DragTypeEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/DragTypeEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=DragTypeEnum()
 
-macro=141;
+macro=143;
Index: issm/trunk/src/m/enum/DtEnum.m
===================================================================
--- issm/trunk/src/m/enum/DtEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/DtEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=DtEnum()
 
-macro=142;
+macro=144;
Index: issm/trunk/src/m/enum/ElementEnum.m
===================================================================
--- issm/trunk/src/m/enum/ElementEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/ElementEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=ElementEnum()
 
-macro=67;
+macro=69;
Index: issm/trunk/src/m/enum/ElementOnBedEnum.m
===================================================================
--- issm/trunk/src/m/enum/ElementOnBedEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/ElementOnBedEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=ElementOnBedEnum()
 
-macro=143;
+macro=145;
Index: issm/trunk/src/m/enum/ElementOnIceShelfEnum.m
===================================================================
--- issm/trunk/src/m/enum/ElementOnIceShelfEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/ElementOnIceShelfEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=ElementOnIceShelfEnum()
 
-macro=144;
+macro=146;
Index: issm/trunk/src/m/enum/ElementOnSurfaceEnum.m
===================================================================
--- issm/trunk/src/m/enum/ElementOnSurfaceEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/ElementOnSurfaceEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=ElementOnSurfaceEnum()
 
-macro=145;
+macro=147;
Index: issm/trunk/src/m/enum/ElementOnWaterEnum.m
===================================================================
--- issm/trunk/src/m/enum/ElementOnWaterEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/ElementOnWaterEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=ElementOnWaterEnum()
 
-macro=146;
+macro=148;
Index: issm/trunk/src/m/enum/ElementPropertiesEnum.m
===================================================================
--- issm/trunk/src/m/enum/ElementPropertiesEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/ElementPropertiesEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=ElementPropertiesEnum()
 
-macro=70;
+macro=72;
Index: issm/trunk/src/m/enum/ElementResultEnum.m
===================================================================
--- issm/trunk/src/m/enum/ElementResultEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/ElementResultEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=ElementResultEnum()
 
-macro=108;
+macro=110;
Index: issm/trunk/src/m/enum/EnumAsString.m
===================================================================
--- issm/trunk/src/m/enum/EnumAsString.m	(revision 4288)
+++ issm/trunk/src/m/enum/EnumAsString.m	(revision 4289)
@@ -47,5 +47,7 @@
 	case TransientAnalysisEnum(), string='TransientAnalysis'; return
 	case SlopeAnalysisEnum(), string='SlopeAnalysis'; return
+	case BedSlopeSolutionEnum(), string='BedSlopeSolution'; return
 	case BedSlopeAnalysisEnum(), string='BedSlopeAnalysis'; return
+	case SurfaceSlopeSurfaceEnum(), string='SurfaceSlopeSurface'; return
 	case SurfaceSlopeAnalysisEnum(), string='SurfaceSlopeAnalysis'; return
 	case BedSlopeXAnalysisEnum(), string='BedSlopeXAnalysis'; return
Index: issm/trunk/src/m/enum/EpsAbsEnum.m
===================================================================
--- issm/trunk/src/m/enum/EpsAbsEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/EpsAbsEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=EpsAbsEnum()
 
-macro=237;
+macro=239;
Index: issm/trunk/src/m/enum/EpsCmEnum.m
===================================================================
--- issm/trunk/src/m/enum/EpsCmEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/EpsCmEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=EpsCmEnum()
 
-macro=238;
+macro=240;
Index: issm/trunk/src/m/enum/EpsRelEnum.m
===================================================================
--- issm/trunk/src/m/enum/EpsRelEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/EpsRelEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=EpsRelEnum()
 
-macro=239;
+macro=241;
Index: issm/trunk/src/m/enum/EpsResEnum.m
===================================================================
--- issm/trunk/src/m/enum/EpsResEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/EpsResEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=EpsResEnum()
 
-macro=240;
+macro=242;
Index: issm/trunk/src/m/enum/EpsVelEnum.m
===================================================================
--- issm/trunk/src/m/enum/EpsVelEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/EpsVelEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=EpsVelEnum()
 
-macro=147;
+macro=149;
Index: issm/trunk/src/m/enum/ExternalResultEnum.m
===================================================================
--- issm/trunk/src/m/enum/ExternalResultEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/ExternalResultEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=ExternalResultEnum()
 
-macro=109;
+macro=111;
Index: issm/trunk/src/m/enum/ExtrudeParamEnum.m
===================================================================
--- issm/trunk/src/m/enum/ExtrudeParamEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/ExtrudeParamEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=ExtrudeParamEnum()
 
-macro=241;
+macro=243;
Index: issm/trunk/src/m/enum/FillEnum.m
===================================================================
--- issm/trunk/src/m/enum/FillEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/FillEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=FillEnum()
 
-macro=148;
+macro=150;
Index: issm/trunk/src/m/enum/FitEnum.m
===================================================================
--- issm/trunk/src/m/enum/FitEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/FitEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=FitEnum()
 
-macro=149;
+macro=151;
Index: issm/trunk/src/m/enum/FormulationEnum.m
===================================================================
--- issm/trunk/src/m/enum/FormulationEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/FormulationEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=FormulationEnum()
 
-macro=59;
+macro=61;
Index: issm/trunk/src/m/enum/FractionIncrementEnum.m
===================================================================
--- issm/trunk/src/m/enum/FractionIncrementEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/FractionIncrementEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=FractionIncrementEnum()
 
-macro=150;
+macro=152;
Index: issm/trunk/src/m/enum/FrictionEnum.m
===================================================================
--- issm/trunk/src/m/enum/FrictionEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/FrictionEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=FrictionEnum()
 
-macro=151;
+macro=153;
Index: issm/trunk/src/m/enum/GeographyEnum.m
===================================================================
--- issm/trunk/src/m/enum/GeographyEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/GeographyEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=GeographyEnum()
 
-macro=112;
+macro=114;
Index: issm/trunk/src/m/enum/GeothermalFluxEnum.m
===================================================================
--- issm/trunk/src/m/enum/GeothermalFluxEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/GeothermalFluxEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=GeothermalFluxEnum()
 
-macro=152;
+macro=154;
Index: issm/trunk/src/m/enum/GradientEnum.m
===================================================================
--- issm/trunk/src/m/enum/GradientEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/GradientEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=GradientEnum()
 
-macro=230;
+macro=232;
Index: issm/trunk/src/m/enum/HeatCapacityEnum.m
===================================================================
--- issm/trunk/src/m/enum/HeatCapacityEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/HeatCapacityEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=HeatCapacityEnum()
 
-macro=242;
+macro=244;
Index: issm/trunk/src/m/enum/HookEnum.m
===================================================================
--- issm/trunk/src/m/enum/HookEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/HookEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=HookEnum()
 
-macro=66;
+macro=68;
Index: issm/trunk/src/m/enum/HutterFormulationEnum.m
===================================================================
--- issm/trunk/src/m/enum/HutterFormulationEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/HutterFormulationEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=HutterFormulationEnum()
 
-macro=60;
+macro=62;
Index: issm/trunk/src/m/enum/IceEnum.m
===================================================================
--- issm/trunk/src/m/enum/IceEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/IceEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=IceEnum()
 
-macro=116;
+macro=118;
Index: issm/trunk/src/m/enum/IceSheetEnum.m
===================================================================
--- issm/trunk/src/m/enum/IceSheetEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/IceSheetEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=IceSheetEnum()
 
-macro=113;
+macro=115;
Index: issm/trunk/src/m/enum/IceShelfEnum.m
===================================================================
--- issm/trunk/src/m/enum/IceShelfEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/IceShelfEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=IceShelfEnum()
 
-macro=114;
+macro=116;
Index: issm/trunk/src/m/enum/IcefrontEnum.m
===================================================================
--- issm/trunk/src/m/enum/IcefrontEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/IcefrontEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=IcefrontEnum()
 
-macro=78;
+macro=80;
Index: issm/trunk/src/m/enum/InputEnum.m
===================================================================
--- issm/trunk/src/m/enum/InputEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/InputEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=InputEnum()
 
-macro=90;
+macro=92;
Index: issm/trunk/src/m/enum/IntExternalResultEnum.m
===================================================================
--- issm/trunk/src/m/enum/IntExternalResultEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/IntExternalResultEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=IntExternalResultEnum()
 
-macro=215;
+macro=217;
Index: issm/trunk/src/m/enum/IntInputEnum.m
===================================================================
--- issm/trunk/src/m/enum/IntInputEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/IntInputEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=IntInputEnum()
 
-macro=94;
+macro=96;
Index: issm/trunk/src/m/enum/IntParamEnum.m
===================================================================
--- issm/trunk/src/m/enum/IntParamEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/IntParamEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=IntParamEnum()
 
-macro=103;
+macro=105;
Index: issm/trunk/src/m/enum/InternalEnum.m
===================================================================
--- issm/trunk/src/m/enum/InternalEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/InternalEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=InternalEnum()
 
-macro=153;
+macro=155;
Index: issm/trunk/src/m/enum/IsHutterEnum.m
===================================================================
--- issm/trunk/src/m/enum/IsHutterEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/IsHutterEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=IsHutterEnum()
 
-macro=243;
+macro=245;
Index: issm/trunk/src/m/enum/IsMacAyealPattynEnum.m
===================================================================
--- issm/trunk/src/m/enum/IsMacAyealPattynEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/IsMacAyealPattynEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=IsMacAyealPattynEnum()
 
-macro=244;
+macro=246;
Index: issm/trunk/src/m/enum/IsStokesEnum.m
===================================================================
--- issm/trunk/src/m/enum/IsStokesEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/IsStokesEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=IsStokesEnum()
 
-macro=245;
+macro=247;
Index: issm/trunk/src/m/enum/JEnum.m
===================================================================
--- issm/trunk/src/m/enum/JEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/JEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=JEnum()
 
-macro=218;
+macro=220;
Index: issm/trunk/src/m/enum/KflagEnum.m
===================================================================
--- issm/trunk/src/m/enum/KflagEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/KflagEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=KflagEnum()
 
-macro=154;
+macro=156;
Index: issm/trunk/src/m/enum/LatentHeatEnum.m
===================================================================
--- issm/trunk/src/m/enum/LatentHeatEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/LatentHeatEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=LatentHeatEnum()
 
-macro=246;
+macro=248;
Index: issm/trunk/src/m/enum/LoadEnum.m
===================================================================
--- issm/trunk/src/m/enum/LoadEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/LoadEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=LoadEnum()
 
-macro=77;
+macro=79;
Index: issm/trunk/src/m/enum/LowmemEnum.m
===================================================================
--- issm/trunk/src/m/enum/LowmemEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/LowmemEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=LowmemEnum()
 
-macro=247;
+macro=249;
Index: issm/trunk/src/m/enum/MacAyealFormulationEnum.m
===================================================================
--- issm/trunk/src/m/enum/MacAyealFormulationEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/MacAyealFormulationEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=MacAyealFormulationEnum()
 
-macro=61;
+macro=63;
Index: issm/trunk/src/m/enum/MaterialEnum.m
===================================================================
--- issm/trunk/src/m/enum/MaterialEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/MaterialEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=MaterialEnum()
 
-macro=87;
+macro=89;
Index: issm/trunk/src/m/enum/MaticeEnum.m
===================================================================
--- issm/trunk/src/m/enum/MaticeEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/MaticeEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=MaticeEnum()
 
-macro=88;
+macro=90;
Index: issm/trunk/src/m/enum/MatparEnum.m
===================================================================
--- issm/trunk/src/m/enum/MatparEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/MatparEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=MatparEnum()
 
-macro=89;
+macro=91;
Index: issm/trunk/src/m/enum/MaxIterEnum.m
===================================================================
--- issm/trunk/src/m/enum/MaxIterEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/MaxIterEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=MaxIterEnum()
 
-macro=248;
+macro=250;
Index: issm/trunk/src/m/enum/MaxNonlinearIterationsEnum.m
===================================================================
--- issm/trunk/src/m/enum/MaxNonlinearIterationsEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/MaxNonlinearIterationsEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=MaxNonlinearIterationsEnum()
 
-macro=249;
+macro=251;
Index: issm/trunk/src/m/enum/MaxPenetrationEnum.m
===================================================================
--- issm/trunk/src/m/enum/MaxPenetrationEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/MaxPenetrationEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=MaxPenetrationEnum()
 
-macro=155;
+macro=157;
Index: issm/trunk/src/m/enum/MeanVelEnum.m
===================================================================
--- issm/trunk/src/m/enum/MeanVelEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/MeanVelEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=MeanVelEnum()
 
-macro=156;
+macro=158;
Index: issm/trunk/src/m/enum/MelangeEnum.m
===================================================================
--- issm/trunk/src/m/enum/MelangeEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/MelangeEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=MelangeEnum()
 
-macro=118;
+macro=120;
Index: issm/trunk/src/m/enum/MeltingAnalysisEnum.m
===================================================================
--- issm/trunk/src/m/enum/MeltingAnalysisEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/MeltingAnalysisEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=MeltingAnalysisEnum()
 
-macro=52;
+macro=54;
Index: issm/trunk/src/m/enum/MeltingOffsetEnum.m
===================================================================
--- issm/trunk/src/m/enum/MeltingOffsetEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/MeltingOffsetEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=MeltingOffsetEnum()
 
-macro=157;
+macro=159;
Index: issm/trunk/src/m/enum/MeltingPointEnum.m
===================================================================
--- issm/trunk/src/m/enum/MeltingPointEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/MeltingPointEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=MeltingPointEnum()
 
-macro=250;
+macro=252;
Index: issm/trunk/src/m/enum/MeltingRateEnum.m
===================================================================
--- issm/trunk/src/m/enum/MeltingRateEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/MeltingRateEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=MeltingRateEnum()
 
-macro=158;
+macro=160;
Index: issm/trunk/src/m/enum/Mesh2gridAnalysisEnum.m
===================================================================
--- issm/trunk/src/m/enum/Mesh2gridAnalysisEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/Mesh2gridAnalysisEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=Mesh2gridAnalysisEnum()
 
-macro=53;
+macro=55;
Index: issm/trunk/src/m/enum/MinMechanicalConstraintsEnum.m
===================================================================
--- issm/trunk/src/m/enum/MinMechanicalConstraintsEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/MinMechanicalConstraintsEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=MinMechanicalConstraintsEnum()
 
-macro=251;
+macro=253;
Index: issm/trunk/src/m/enum/MinThermalConstraintsEnum.m
===================================================================
--- issm/trunk/src/m/enum/MinThermalConstraintsEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/MinThermalConstraintsEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=MinThermalConstraintsEnum()
 
-macro=252;
+macro=254;
Index: issm/trunk/src/m/enum/NStepsEnum.m
===================================================================
--- issm/trunk/src/m/enum/NStepsEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/NStepsEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=NStepsEnum()
 
-macro=253;
+macro=255;
Index: issm/trunk/src/m/enum/NdtEnum.m
===================================================================
--- issm/trunk/src/m/enum/NdtEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/NdtEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=NdtEnum()
 
-macro=254;
+macro=256;
Index: issm/trunk/src/m/enum/NodeEnum.m
===================================================================
--- issm/trunk/src/m/enum/NodeEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/NodeEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=NodeEnum()
 
-macro=75;
+macro=77;
Index: issm/trunk/src/m/enum/NodeOnBedEnum.m
===================================================================
--- issm/trunk/src/m/enum/NodeOnBedEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/NodeOnBedEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=NodeOnBedEnum()
 
-macro=159;
+macro=161;
Index: issm/trunk/src/m/enum/NodeOnIceSheetEnum.m
===================================================================
--- issm/trunk/src/m/enum/NodeOnIceSheetEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/NodeOnIceSheetEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=NodeOnIceSheetEnum()
 
-macro=160;
+macro=162;
Index: issm/trunk/src/m/enum/NodeOnIceShelfEnum.m
===================================================================
--- issm/trunk/src/m/enum/NodeOnIceShelfEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/NodeOnIceShelfEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=NodeOnIceShelfEnum()
 
-macro=161;
+macro=163;
Index: issm/trunk/src/m/enum/NodeOnSurfaceEnum.m
===================================================================
--- issm/trunk/src/m/enum/NodeOnSurfaceEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/NodeOnSurfaceEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=NodeOnSurfaceEnum()
 
-macro=162;
+macro=164;
Index: issm/trunk/src/m/enum/NodePropertiesEnum.m
===================================================================
--- issm/trunk/src/m/enum/NodePropertiesEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/NodePropertiesEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=NodePropertiesEnum()
 
-macro=71;
+macro=73;
Index: issm/trunk/src/m/enum/NoneAnalysisEnum.m
===================================================================
--- issm/trunk/src/m/enum/NoneAnalysisEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/NoneAnalysisEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=NoneAnalysisEnum()
 
-macro=58;
+macro=60;
Index: issm/trunk/src/m/enum/NoneFormulationEnum.m
===================================================================
--- issm/trunk/src/m/enum/NoneFormulationEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/NoneFormulationEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=NoneFormulationEnum()
 
-macro=62;
+macro=64;
Index: issm/trunk/src/m/enum/NumOutputEnum.m
===================================================================
--- issm/trunk/src/m/enum/NumOutputEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/NumOutputEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=NumOutputEnum()
 
-macro=255;
+macro=257;
Index: issm/trunk/src/m/enum/NumRiftsEnum.m
===================================================================
--- issm/trunk/src/m/enum/NumRiftsEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/NumRiftsEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=NumRiftsEnum()
 
-macro=256;
+macro=258;
Index: issm/trunk/src/m/enum/NumberNodeToElementConnectivityEnum.m
===================================================================
--- issm/trunk/src/m/enum/NumberNodeToElementConnectivityEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/NumberNodeToElementConnectivityEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=NumberNodeToElementConnectivityEnum()
 
-macro=163;
+macro=165;
Index: issm/trunk/src/m/enum/NumberOfDofsPerNodeEnum.m
===================================================================
--- issm/trunk/src/m/enum/NumberOfDofsPerNodeEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/NumberOfDofsPerNodeEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=NumberOfDofsPerNodeEnum()
 
-macro=257;
+macro=259;
Index: issm/trunk/src/m/enum/NumberOfElementsEnum.m
===================================================================
--- issm/trunk/src/m/enum/NumberOfElementsEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/NumberOfElementsEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=NumberOfElementsEnum()
 
-macro=258;
+macro=260;
Index: issm/trunk/src/m/enum/NumberOfNodesEnum.m
===================================================================
--- issm/trunk/src/m/enum/NumberOfNodesEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/NumberOfNodesEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=NumberOfNodesEnum()
 
-macro=259;
+macro=261;
Index: issm/trunk/src/m/enum/NumberOfVerticesEnum.m
===================================================================
--- issm/trunk/src/m/enum/NumberOfVerticesEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/NumberOfVerticesEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=NumberOfVerticesEnum()
 
-macro=260;
+macro=262;
Index: issm/trunk/src/m/enum/NumericalfluxEnum.m
===================================================================
--- issm/trunk/src/m/enum/NumericalfluxEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/NumericalfluxEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=NumericalfluxEnum()
 
-macro=79;
+macro=81;
Index: issm/trunk/src/m/enum/ObjectEnum.m
===================================================================
--- issm/trunk/src/m/enum/ObjectEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/ObjectEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=ObjectEnum()
 
-macro=65;
+macro=67;
Index: issm/trunk/src/m/enum/OldGradientEnum.m
===================================================================
--- issm/trunk/src/m/enum/OldGradientEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/OldGradientEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=OldGradientEnum()
 
-macro=231;
+macro=233;
Index: issm/trunk/src/m/enum/OptScalEnum.m
===================================================================
--- issm/trunk/src/m/enum/OptScalEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/OptScalEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=OptScalEnum()
 
-macro=261;
+macro=263;
Index: issm/trunk/src/m/enum/OutputFileNameEnum.m
===================================================================
--- issm/trunk/src/m/enum/OutputFileNameEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/OutputFileNameEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=OutputFileNameEnum()
 
-macro=262;
+macro=264;
Index: issm/trunk/src/m/enum/P0Enum.m
===================================================================
--- issm/trunk/src/m/enum/P0Enum.m	(revision 4288)
+++ issm/trunk/src/m/enum/P0Enum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=P0Enum()
 
-macro=204;
+macro=206;
Index: issm/trunk/src/m/enum/P1Enum.m
===================================================================
--- issm/trunk/src/m/enum/P1Enum.m	(revision 4288)
+++ issm/trunk/src/m/enum/P1Enum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=P1Enum()
 
-macro=205;
+macro=207;
Index: issm/trunk/src/m/enum/ParamEnum.m
===================================================================
--- issm/trunk/src/m/enum/ParamEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/ParamEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=ParamEnum()
 
-macro=98;
+macro=100;
Index: issm/trunk/src/m/enum/ParameterOutputEnum.m
===================================================================
--- issm/trunk/src/m/enum/ParameterOutputEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/ParameterOutputEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=ParameterOutputEnum()
 
-macro=263;
+macro=265;
Index: issm/trunk/src/m/enum/ParametersAnalysisEnum.m
===================================================================
--- issm/trunk/src/m/enum/ParametersAnalysisEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/ParametersAnalysisEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=ParametersAnalysisEnum()
 
-macro=55;
+macro=57;
Index: issm/trunk/src/m/enum/ParametersSolutionEnum.m
===================================================================
--- issm/trunk/src/m/enum/ParametersSolutionEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/ParametersSolutionEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=ParametersSolutionEnum()
 
-macro=54;
+macro=56;
Index: issm/trunk/src/m/enum/PatchEnum.m
===================================================================
--- issm/trunk/src/m/enum/PatchEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/PatchEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=PatchEnum()
 
-macro=219;
+macro=221;
Index: issm/trunk/src/m/enum/PattynFormulationEnum.m
===================================================================
--- issm/trunk/src/m/enum/PattynFormulationEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/PattynFormulationEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=PattynFormulationEnum()
 
-macro=63;
+macro=65;
Index: issm/trunk/src/m/enum/PenaltyMeltingEnum.m
===================================================================
--- issm/trunk/src/m/enum/PenaltyMeltingEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/PenaltyMeltingEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=PenaltyMeltingEnum()
 
-macro=264;
+macro=266;
Index: issm/trunk/src/m/enum/PenaltyOffsetEnum.m
===================================================================
--- issm/trunk/src/m/enum/PenaltyOffsetEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/PenaltyOffsetEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=PenaltyOffsetEnum()
 
-macro=164;
+macro=166;
Index: issm/trunk/src/m/enum/PengridEnum.m
===================================================================
--- issm/trunk/src/m/enum/PengridEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/PengridEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=PengridEnum()
 
-macro=80;
+macro=82;
Index: issm/trunk/src/m/enum/PenpairEnum.m
===================================================================
--- issm/trunk/src/m/enum/PenpairEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/PenpairEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=PenpairEnum()
 
-macro=81;
+macro=83;
Index: issm/trunk/src/m/enum/PentaEnum.m
===================================================================
--- issm/trunk/src/m/enum/PentaEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/PentaEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=PentaEnum()
 
-macro=72;
+macro=74;
Index: issm/trunk/src/m/enum/PentaVertexElementResultEnum.m
===================================================================
--- issm/trunk/src/m/enum/PentaVertexElementResultEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/PentaVertexElementResultEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=PentaVertexElementResultEnum()
 
-macro=208;
+macro=210;
Index: issm/trunk/src/m/enum/PentaVertexInputEnum.m
===================================================================
--- issm/trunk/src/m/enum/PentaVertexInputEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/PentaVertexInputEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=PentaVertexInputEnum()
 
-macro=95;
+macro=97;
Index: issm/trunk/src/m/enum/PetscMatParamEnum.m
===================================================================
--- issm/trunk/src/m/enum/PetscMatParamEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/PetscMatParamEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=PetscMatParamEnum()
 
-macro=104;
+macro=106;
Index: issm/trunk/src/m/enum/PetscVecExternalResultEnum.m
===================================================================
--- issm/trunk/src/m/enum/PetscVecExternalResultEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/PetscVecExternalResultEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=PetscVecExternalResultEnum()
 
-macro=216;
+macro=218;
Index: issm/trunk/src/m/enum/PetscVecParamEnum.m
===================================================================
--- issm/trunk/src/m/enum/PetscVecParamEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/PetscVecParamEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=PetscVecParamEnum()
 
-macro=105;
+macro=107;
Index: issm/trunk/src/m/enum/PflagEnum.m
===================================================================
--- issm/trunk/src/m/enum/PflagEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/PflagEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=PflagEnum()
 
-macro=165;
+macro=167;
Index: issm/trunk/src/m/enum/PressureEnum.m
===================================================================
--- issm/trunk/src/m/enum/PressureEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/PressureEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=PressureEnum()
 
-macro=166;
+macro=168;
Index: issm/trunk/src/m/enum/PressureOldEnum.m
===================================================================
--- issm/trunk/src/m/enum/PressureOldEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/PressureOldEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=PressureOldEnum()
 
-macro=167;
+macro=169;
Index: issm/trunk/src/m/enum/PressureStokesEnum.m
===================================================================
--- issm/trunk/src/m/enum/PressureStokesEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/PressureStokesEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=PressureStokesEnum()
 
-macro=169;
+macro=171;
Index: issm/trunk/src/m/enum/Prognostic2AnalysisEnum.m
===================================================================
--- issm/trunk/src/m/enum/Prognostic2AnalysisEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/Prognostic2AnalysisEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=Prognostic2AnalysisEnum()
 
-macro=49;
+macro=51;
Index: issm/trunk/src/m/enum/Prognostic2SolutionEnum.m
===================================================================
--- issm/trunk/src/m/enum/Prognostic2SolutionEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/Prognostic2SolutionEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=Prognostic2SolutionEnum()
 
-macro=48;
+macro=50;
Index: issm/trunk/src/m/enum/PrognosticAnalysisEnum.m
===================================================================
--- issm/trunk/src/m/enum/PrognosticAnalysisEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/PrognosticAnalysisEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=PrognosticAnalysisEnum()
 
-macro=51;
+macro=53;
Index: issm/trunk/src/m/enum/PrognosticSolutionEnum.m
===================================================================
--- issm/trunk/src/m/enum/PrognosticSolutionEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/PrognosticSolutionEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=PrognosticSolutionEnum()
 
-macro=50;
+macro=52;
Index: issm/trunk/src/m/enum/QmuAnalysisEnum.m
===================================================================
--- issm/trunk/src/m/enum/QmuAnalysisEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/QmuAnalysisEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=QmuAnalysisEnum()
 
-macro=265;
+macro=267;
Index: issm/trunk/src/m/enum/QmuErrNameEnum.m
===================================================================
--- issm/trunk/src/m/enum/QmuErrNameEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/QmuErrNameEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=QmuErrNameEnum()
 
-macro=266;
+macro=268;
Index: issm/trunk/src/m/enum/QmuInNameEnum.m
===================================================================
--- issm/trunk/src/m/enum/QmuInNameEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/QmuInNameEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=QmuInNameEnum()
 
-macro=267;
+macro=269;
Index: issm/trunk/src/m/enum/QmuMassFluxSegmentsEnum.m
===================================================================
--- issm/trunk/src/m/enum/QmuMassFluxSegmentsEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/QmuMassFluxSegmentsEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=QmuMassFluxSegmentsEnum()
 
-macro=268;
+macro=270;
Index: issm/trunk/src/m/enum/QmuNPartEnum.m
===================================================================
--- issm/trunk/src/m/enum/QmuNPartEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/QmuNPartEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=QmuNPartEnum()
 
-macro=269;
+macro=271;
Index: issm/trunk/src/m/enum/QmuOutNameEnum.m
===================================================================
--- issm/trunk/src/m/enum/QmuOutNameEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/QmuOutNameEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=QmuOutNameEnum()
 
-macro=270;
+macro=272;
Index: issm/trunk/src/m/enum/QmuPartEnum.m
===================================================================
--- issm/trunk/src/m/enum/QmuPartEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/QmuPartEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=QmuPartEnum()
 
-macro=271;
+macro=273;
Index: issm/trunk/src/m/enum/QmuPressureEnum.m
===================================================================
--- issm/trunk/src/m/enum/QmuPressureEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/QmuPressureEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=QmuPressureEnum()
 
-macro=168;
+macro=170;
Index: issm/trunk/src/m/enum/QmuVxEnum.m
===================================================================
--- issm/trunk/src/m/enum/QmuVxEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/QmuVxEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=QmuVxEnum()
 
-macro=192;
+macro=194;
Index: issm/trunk/src/m/enum/QmuVyEnum.m
===================================================================
--- issm/trunk/src/m/enum/QmuVyEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/QmuVyEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=QmuVyEnum()
 
-macro=197;
+macro=199;
Index: issm/trunk/src/m/enum/QmuVzEnum.m
===================================================================
--- issm/trunk/src/m/enum/QmuVzEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/QmuVzEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=QmuVzEnum()
 
-macro=202;
+macro=204;
Index: issm/trunk/src/m/enum/QuadIceFrontEnum.m
===================================================================
--- issm/trunk/src/m/enum/QuadIceFrontEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/QuadIceFrontEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=QuadIceFrontEnum()
 
-macro=82;
+macro=84;
Index: issm/trunk/src/m/enum/QuadRiftFrontEnum.m
===================================================================
--- issm/trunk/src/m/enum/QuadRiftFrontEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/QuadRiftFrontEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=QuadRiftFrontEnum()
 
-macro=83;
+macro=85;
Index: issm/trunk/src/m/enum/RelativeEnum.m
===================================================================
--- issm/trunk/src/m/enum/RelativeEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/RelativeEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=RelativeEnum()
 
-macro=221;
+macro=223;
Index: issm/trunk/src/m/enum/ResetPenaltiesEnum.m
===================================================================
--- issm/trunk/src/m/enum/ResetPenaltiesEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/ResetPenaltiesEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=ResetPenaltiesEnum()
 
-macro=170;
+macro=172;
Index: issm/trunk/src/m/enum/ResidualEnum.m
===================================================================
--- issm/trunk/src/m/enum/ResidualEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/ResidualEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=ResidualEnum()
 
-macro=222;
+macro=224;
Index: issm/trunk/src/m/enum/ResponseDescriptorsEnum.m
===================================================================
--- issm/trunk/src/m/enum/ResponseDescriptorsEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/ResponseDescriptorsEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=ResponseDescriptorsEnum()
 
-macro=272;
+macro=274;
Index: issm/trunk/src/m/enum/RgbEnum.m
===================================================================
--- issm/trunk/src/m/enum/RgbEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/RgbEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=RgbEnum()
 
-macro=110;
+macro=112;
Index: issm/trunk/src/m/enum/RheologyBEnum.m
===================================================================
--- issm/trunk/src/m/enum/RheologyBEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/RheologyBEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=RheologyBEnum()
 
-macro=171;
+macro=173;
Index: issm/trunk/src/m/enum/RheologyNEnum.m
===================================================================
--- issm/trunk/src/m/enum/RheologyNEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/RheologyNEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=RheologyNEnum()
 
-macro=172;
+macro=174;
Index: issm/trunk/src/m/enum/RiftfrontEnum.m
===================================================================
--- issm/trunk/src/m/enum/RiftfrontEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/RiftfrontEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=RiftfrontEnum()
 
-macro=84;
+macro=86;
Index: issm/trunk/src/m/enum/SegmentIcefrontEnum.m
===================================================================
--- issm/trunk/src/m/enum/SegmentIcefrontEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/SegmentIcefrontEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=SegmentIcefrontEnum()
 
-macro=85;
+macro=87;
Index: issm/trunk/src/m/enum/SegmentOnIceShelfEnum.m
===================================================================
--- issm/trunk/src/m/enum/SegmentOnIceShelfEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/SegmentOnIceShelfEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=SegmentOnIceShelfEnum()
 
-macro=173;
+macro=175;
Index: issm/trunk/src/m/enum/SegmentRiftfrontEnum.m
===================================================================
--- issm/trunk/src/m/enum/SegmentRiftfrontEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/SegmentRiftfrontEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=SegmentRiftfrontEnum()
 
-macro=86;
+macro=88;
Index: issm/trunk/src/m/enum/SingEnum.m
===================================================================
--- issm/trunk/src/m/enum/SingEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/SingEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=SingEnum()
 
-macro=73;
+macro=75;
Index: issm/trunk/src/m/enum/SingVertexElementResultEnum.m
===================================================================
--- issm/trunk/src/m/enum/SingVertexElementResultEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/SingVertexElementResultEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=SingVertexElementResultEnum()
 
-macro=209;
+macro=211;
Index: issm/trunk/src/m/enum/SingVertexInputEnum.m
===================================================================
--- issm/trunk/src/m/enum/SingVertexInputEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/SingVertexInputEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=SingVertexInputEnum()
 
-macro=96;
+macro=98;
Index: issm/trunk/src/m/enum/SolverStringEnum.m
===================================================================
--- issm/trunk/src/m/enum/SolverStringEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/SolverStringEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=SolverStringEnum()
 
-macro=273;
+macro=275;
Index: issm/trunk/src/m/enum/SparsityEnum.m
===================================================================
--- issm/trunk/src/m/enum/SparsityEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/SparsityEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=SparsityEnum()
 
-macro=274;
+macro=276;
Index: issm/trunk/src/m/enum/SpcEnum.m
===================================================================
--- issm/trunk/src/m/enum/SpcEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/SpcEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=SpcEnum()
 
-macro=111;
+macro=113;
Index: issm/trunk/src/m/enum/StabilizeConstraintsEnum.m
===================================================================
--- issm/trunk/src/m/enum/StabilizeConstraintsEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/StabilizeConstraintsEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=StabilizeConstraintsEnum()
 
-macro=174;
+macro=176;
Index: issm/trunk/src/m/enum/SteadystateAnalysisEnum.m
===================================================================
--- issm/trunk/src/m/enum/SteadystateAnalysisEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/SteadystateAnalysisEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=SteadystateAnalysisEnum()
 
-macro=57;
+macro=59;
Index: issm/trunk/src/m/enum/SteadystateSolutionEnum.m
===================================================================
--- issm/trunk/src/m/enum/SteadystateSolutionEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/SteadystateSolutionEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=SteadystateSolutionEnum()
 
-macro=56;
+macro=58;
Index: issm/trunk/src/m/enum/StokesFormulationEnum.m
===================================================================
--- issm/trunk/src/m/enum/StokesFormulationEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/StokesFormulationEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=StokesFormulationEnum()
 
-macro=64;
+macro=66;
Index: issm/trunk/src/m/enum/StokesReconditioningEnum.m
===================================================================
--- issm/trunk/src/m/enum/StokesReconditioningEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/StokesReconditioningEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=StokesReconditioningEnum()
 
-macro=175;
+macro=177;
Index: issm/trunk/src/m/enum/StringArrayParamEnum.m
===================================================================
--- issm/trunk/src/m/enum/StringArrayParamEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/StringArrayParamEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=StringArrayParamEnum()
 
-macro=106;
+macro=108;
Index: issm/trunk/src/m/enum/StringAsEnum.m
===================================================================
--- issm/trunk/src/m/enum/StringAsEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/StringAsEnum.m	(revision 4289)
@@ -45,5 +45,7 @@
 elseif (strcmpi(name,'TransientAnalysis')), enum=TransientAnalysisEnum(); return
 elseif (strcmpi(name,'SlopeAnalysis')), enum=SlopeAnalysisEnum(); return
+elseif (strcmpi(name,'BedSlopeSolution')), enum=BedSlopeSolutionEnum(); return
 elseif (strcmpi(name,'BedSlopeAnalysis')), enum=BedSlopeAnalysisEnum(); return
+elseif (strcmpi(name,'SurfaceSlopeSurface')), enum=SurfaceSlopeSurfaceEnum(); return
 elseif (strcmpi(name,'SurfaceSlopeAnalysis')), enum=SurfaceSlopeAnalysisEnum(); return
 elseif (strcmpi(name,'BedSlopeXAnalysis')), enum=BedSlopeXAnalysisEnum(); return
Index: issm/trunk/src/m/enum/StringExternalResultEnum.m
===================================================================
--- issm/trunk/src/m/enum/StringExternalResultEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/StringExternalResultEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=StringExternalResultEnum()
 
-macro=217;
+macro=219;
Index: issm/trunk/src/m/enum/StringParamEnum.m
===================================================================
--- issm/trunk/src/m/enum/StringParamEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/StringParamEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=StringParamEnum()
 
-macro=107;
+macro=109;
Index: issm/trunk/src/m/enum/SurfaceAreaEnum.m
===================================================================
--- issm/trunk/src/m/enum/SurfaceAreaEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/SurfaceAreaEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=SurfaceAreaEnum()
 
-macro=176;
+macro=178;
Index: issm/trunk/src/m/enum/SurfaceEnum.m
===================================================================
--- issm/trunk/src/m/enum/SurfaceEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/SurfaceEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=SurfaceEnum()
 
-macro=177;
+macro=179;
Index: issm/trunk/src/m/enum/SurfaceSlopeAnalysisEnum.m
===================================================================
--- issm/trunk/src/m/enum/SurfaceSlopeAnalysisEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/SurfaceSlopeAnalysisEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=SurfaceSlopeAnalysisEnum()
 
-macro=37;
+macro=39;
Index: issm/trunk/src/m/enum/SurfaceSlopeSurfaceEnum.m
===================================================================
--- issm/trunk/src/m/enum/SurfaceSlopeSurfaceEnum.m	(revision 4289)
+++ issm/trunk/src/m/enum/SurfaceSlopeSurfaceEnum.m	(revision 4289)
@@ -0,0 +1,11 @@
+function macro=SurfaceSlopeSurfaceEnum()
+%SURFACESLOPESURFACEENUM - Enum of SurfaceSlopeSurface
+%
+%   WARNING: DO NOT MODIFY THIS FILE
+%            this file has been automatically generated by src/c/SynchronizeMatlabEnum
+%            Please read src/c/README for more information
+%
+%   Usage:
+%      macro=SurfaceSlopeSurfaceEnum()
+
+macro=38;
Index: issm/trunk/src/m/enum/SurfaceSlopeXAnalysisEnum.m
===================================================================
--- issm/trunk/src/m/enum/SurfaceSlopeXAnalysisEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/SurfaceSlopeXAnalysisEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=SurfaceSlopeXAnalysisEnum()
 
-macro=40;
+macro=42;
Index: issm/trunk/src/m/enum/SurfaceSlopeXEnum.m
===================================================================
--- issm/trunk/src/m/enum/SurfaceSlopeXEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/SurfaceSlopeXEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=SurfaceSlopeXEnum()
 
-macro=178;
+macro=180;
Index: issm/trunk/src/m/enum/SurfaceSlopeYAnalysisEnum.m
===================================================================
--- issm/trunk/src/m/enum/SurfaceSlopeYAnalysisEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/SurfaceSlopeYAnalysisEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=SurfaceSlopeYAnalysisEnum()
 
-macro=41;
+macro=43;
Index: issm/trunk/src/m/enum/SurfaceSlopeYEnum.m
===================================================================
--- issm/trunk/src/m/enum/SurfaceSlopeYEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/SurfaceSlopeYEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=SurfaceSlopeYEnum()
 
-macro=179;
+macro=181;
Index: issm/trunk/src/m/enum/TemperatureAverageEnum.m
===================================================================
--- issm/trunk/src/m/enum/TemperatureAverageEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/TemperatureAverageEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=TemperatureAverageEnum()
 
-macro=182;
+macro=184;
Index: issm/trunk/src/m/enum/TemperatureEnum.m
===================================================================
--- issm/trunk/src/m/enum/TemperatureEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/TemperatureEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=TemperatureEnum()
 
-macro=180;
+macro=182;
Index: issm/trunk/src/m/enum/TemperatureOldEnum.m
===================================================================
--- issm/trunk/src/m/enum/TemperatureOldEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/TemperatureOldEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=TemperatureOldEnum()
 
-macro=181;
+macro=183;
Index: issm/trunk/src/m/enum/ThicknessEnum.m
===================================================================
--- issm/trunk/src/m/enum/ThicknessEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/ThicknessEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=ThicknessEnum()
 
-macro=183;
+macro=185;
Index: issm/trunk/src/m/enum/TimeEnum.m
===================================================================
--- issm/trunk/src/m/enum/TimeEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/TimeEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=TimeEnum()
 
-macro=220;
+macro=222;
Index: issm/trunk/src/m/enum/TolXEnum.m
===================================================================
--- issm/trunk/src/m/enum/TolXEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/TolXEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=TolXEnum()
 
-macro=275;
+macro=277;
Index: issm/trunk/src/m/enum/TriaEnum.m
===================================================================
--- issm/trunk/src/m/enum/TriaEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/TriaEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=TriaEnum()
 
-macro=74;
+macro=76;
Index: issm/trunk/src/m/enum/TriaVertexElementResultEnum.m
===================================================================
--- issm/trunk/src/m/enum/TriaVertexElementResultEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/TriaVertexElementResultEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=TriaVertexElementResultEnum()
 
-macro=207;
+macro=209;
Index: issm/trunk/src/m/enum/TriaVertexInputEnum.m
===================================================================
--- issm/trunk/src/m/enum/TriaVertexInputEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/TriaVertexInputEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=TriaVertexInputEnum()
 
-macro=97;
+macro=99;
Index: issm/trunk/src/m/enum/TypeEnum.m
===================================================================
--- issm/trunk/src/m/enum/TypeEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/TypeEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=TypeEnum()
 
-macro=184;
+macro=186;
Index: issm/trunk/src/m/enum/VariableDescriptorsEnum.m
===================================================================
--- issm/trunk/src/m/enum/VariableDescriptorsEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/VariableDescriptorsEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=VariableDescriptorsEnum()
 
-macro=276;
+macro=278;
Index: issm/trunk/src/m/enum/VelEnum.m
===================================================================
--- issm/trunk/src/m/enum/VelEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/VelEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=VelEnum()
 
-macro=185;
+macro=187;
Index: issm/trunk/src/m/enum/VelObsEnum.m
===================================================================
--- issm/trunk/src/m/enum/VelObsEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/VelObsEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=VelObsEnum()
 
-macro=186;
+macro=188;
Index: issm/trunk/src/m/enum/VerboseEnum.m
===================================================================
--- issm/trunk/src/m/enum/VerboseEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/VerboseEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=VerboseEnum()
 
-macro=277;
+macro=279;
Index: issm/trunk/src/m/enum/VertexEnum.m
===================================================================
--- issm/trunk/src/m/enum/VertexEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/VertexEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=VertexEnum()
 
-macro=76;
+macro=78;
Index: issm/trunk/src/m/enum/ViscosityOvershootEnum.m
===================================================================
--- issm/trunk/src/m/enum/ViscosityOvershootEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/ViscosityOvershootEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=ViscosityOvershootEnum()
 
-macro=187;
+macro=189;
Index: issm/trunk/src/m/enum/VxAverageEnum.m
===================================================================
--- issm/trunk/src/m/enum/VxAverageEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/VxAverageEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=VxAverageEnum()
 
-macro=188;
+macro=190;
Index: issm/trunk/src/m/enum/VxEnum.m
===================================================================
--- issm/trunk/src/m/enum/VxEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/VxEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=VxEnum()
 
-macro=189;
+macro=191;
Index: issm/trunk/src/m/enum/VxObsEnum.m
===================================================================
--- issm/trunk/src/m/enum/VxObsEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/VxObsEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=VxObsEnum()
 
-macro=190;
+macro=192;
Index: issm/trunk/src/m/enum/VxOldEnum.m
===================================================================
--- issm/trunk/src/m/enum/VxOldEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/VxOldEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=VxOldEnum()
 
-macro=191;
+macro=193;
Index: issm/trunk/src/m/enum/VyAverageEnum.m
===================================================================
--- issm/trunk/src/m/enum/VyAverageEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/VyAverageEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=VyAverageEnum()
 
-macro=193;
+macro=195;
Index: issm/trunk/src/m/enum/VyEnum.m
===================================================================
--- issm/trunk/src/m/enum/VyEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/VyEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=VyEnum()
 
-macro=194;
+macro=196;
Index: issm/trunk/src/m/enum/VyObsEnum.m
===================================================================
--- issm/trunk/src/m/enum/VyObsEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/VyObsEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=VyObsEnum()
 
-macro=195;
+macro=197;
Index: issm/trunk/src/m/enum/VyOldEnum.m
===================================================================
--- issm/trunk/src/m/enum/VyOldEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/VyOldEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=VyOldEnum()
 
-macro=196;
+macro=198;
Index: issm/trunk/src/m/enum/VzAverageEnum.m
===================================================================
--- issm/trunk/src/m/enum/VzAverageEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/VzAverageEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=VzAverageEnum()
 
-macro=198;
+macro=200;
Index: issm/trunk/src/m/enum/VzEnum.m
===================================================================
--- issm/trunk/src/m/enum/VzEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/VzEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=VzEnum()
 
-macro=199;
+macro=201;
Index: issm/trunk/src/m/enum/VzObsEnum.m
===================================================================
--- issm/trunk/src/m/enum/VzObsEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/VzObsEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=VzObsEnum()
 
-macro=200;
+macro=202;
Index: issm/trunk/src/m/enum/VzOldEnum.m
===================================================================
--- issm/trunk/src/m/enum/VzOldEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/VzOldEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=VzOldEnum()
 
-macro=201;
+macro=203;
Index: issm/trunk/src/m/enum/WaitOnLockEnum.m
===================================================================
--- issm/trunk/src/m/enum/WaitOnLockEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/WaitOnLockEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=WaitOnLockEnum()
 
-macro=278;
+macro=280;
Index: issm/trunk/src/m/enum/WaterEnum.m
===================================================================
--- issm/trunk/src/m/enum/WaterEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/WaterEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=WaterEnum()
 
-macro=115;
+macro=117;
Index: issm/trunk/src/m/enum/WeightsEnum.m
===================================================================
--- issm/trunk/src/m/enum/WeightsEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/WeightsEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=WeightsEnum()
 
-macro=203;
+macro=205;
Index: issm/trunk/src/m/enum/YtsEnum.m
===================================================================
--- issm/trunk/src/m/enum/YtsEnum.m	(revision 4288)
+++ issm/trunk/src/m/enum/YtsEnum.m	(revision 4289)
@@ -9,3 +9,3 @@
 %      macro=YtsEnum()
 
-macro=279;
+macro=281;
